<!-- <div>
    <div class="categories_after_login">
        <div class="">
            <ul>
                <ng-container *ngFor="let item of menuCategoryList, let i =index">
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle" href="javascript:void(0)" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{item.category_name}}</a>
                        <div class="dropdown-menu four-columns-menu" aria-labelledby="navbarDropdown"
                            *ngIf="item.sub_category!=null && item.sub_category!='' && item.sub_category!=undefined">
                            <ng-container *ngFor="let subCategory of item.sub_category, let i =index">
                                <a class="dropdown-item" href="javascript:void(0)"
                                    (click)="onSubCategoryClick(subCategory.id)">{{subCategory.sub_category_name}}</a>
                            </ng-container>
                        </div>
                    </li>
                </ng-container>
            </ul>
        </div>
    </div>
</div> -->
<section class="post_a_request_section">
    <div class="container">
        <h3 class="custom_heading_text mb-3 pt-5 text-center">What Service Are You Looking For ?</h3>
        <div class="main_div">
            <div class="row" style="margin: 0;">
                <div class="col-md-5 text-right image_left_panel">
                    <img src="assets/img/post_a_request_img3.png" class="post_a_request_img">
                        <h5 style="font-size: 17px;text-align: center;color: #067683;">Post your request to describe the service you are looking to purchase</h5>
                </div>
                <div class="col-md-7 noPadding_mobile">
                    <div class="row">
                        <div class="col-md-12">
                            <h5>Describe the service you're looking to purchase - please be as detailed as possible:
                                <span class="star_mark">*</span></h5>
                            <textarea class="form-control" rows="3" id="message" maxlength="140" name="description"
                                required placeholder="I'm looking for..." [(ngModel)]="serviceDescription"
                                #txt_description="ngModel">
                            </textarea>
                            <span class="help-block pull-right">
                                <p class="help-block">{{140-serviceDescription?.length}} Characters Left</p>
                            </span>
                            <!-- <span class="help-block"
                                *ngIf="serviceDescription?.length>1 && serviceDescription?.length<140">
                                <p id="characterLeft3" style="color: red;" class="help-block">Please enter at least 140
                                    characters</p>
                            </span> -->
                            <span class="error_msg" *ngIf="checkvalidation && txt_description.errors?.required">
                                Please Enter Description
                            </span>
                            <span class="help-block">
                                <p id="characterLeft" class="help-block" *ngIf="serviceDescription?.length==140">
                                    You have reached the limit</p>
                            </span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 noPadding_mobile">
                            <div class="photo_upload">
                                <div class="row">
                                    <div class="col-md-12">
                                        <fieldset *ngIf="urls.length < 3" class="form-group">
                                            <a href="javascript:void(0)" class="btn btn-default upload_img_btn"
                                                onclick="$('#file_image').click()">Upload Image</a>

                                            <input type="file" name="file_image[]" id="file_image" #file_image
                                                class="form-control"
                                                accept="image/jpeg, image/png, image/jpg, image/bmp, image/gif"
                                                style="display: none;" (change)="fileChanged($event)" multiple
                                                autocomplete="off" required />
                                        </fieldset>
                                        <div class="preview-images-zone" style="display: flex;">
                                            <ng-container *ngFor="let url of urls">
                                                <div class="imgMask" style="margin-right: 10px; width: 100px;"
                                                    *ngIf="url.file_path!=null">
                                                    <div class="imgMask-content" style="text-align: left;">
                                                        <button class="profile_img">
                                                            <img [attr.id]="(url.file_name)" [src]="url.file_path"
                                                                title="{{url.filename}}"
                                                                (click)="openImage(url.file_path)" class="profile_img" />
                                                            <i class="fa fa-times-circle image-cancel isDisabled"
                                                                style="right: 0px;" (click)="deleteImage(url)"></i>
                                                        </button>
                                                    </div>
                                                </div>
                                            </ng-container>
                                        </div>
                                        <span class="error_msg" *ngIf="checkvalidation && urls==0">
                                            Please Upload Attachments
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr />

                    <div class="row">
                        <div class="col-md-12">
                            <h5>Choose a category : <span class="star_mark">*</span></h5>
                            <div class="row">
                                <div class="col-md-6 form-group noPadding_mobile">
                                    <select class="form-control" [(ngModel)]="getCategory.id" name="category"
                                        (change)="getsubCategoryList(getCategory.id)" required>
                                        <option value="0">Select Category</option>
                                        <option *ngFor="let option of categoryList" value={{option.id}}>
                                            {{option.category_name}}
                                        </option>
                                    </select>
                                    <span class="error_msg" *ngIf="checkvalidation && getCategory.id==0">
                                        Please Select Category
                                    </span>
                                </div>
                                <div class="col-md-6 form-group noPadding_mobile">
                                    <!-- <select class="form-control" [(ngModel)]="getSubCategory.id" name="subCategory"
                                        (change)="onSubCategoryChange()">
                                        <option value="0">Select Subcategory</option>
                                        <option *ngFor="let option of subCategoryList" value={{option.id}}>
                                            {{option.sub_category_name}}
                                        </option>
                                    </select> -->
                                    <select class="form-control" [(ngModel)]="getSubCategory.id" name="subCategory"
                                    >
                                    <option value="0">Select Subcategory</option>
                                    <option *ngFor="let option of subCategoryList" value={{option.id}}>
                                        {{option.sub_category_name}}
                                    </option>
                                </select>
                                </div>
                                <!-- <span class="error_msg" *ngIf="checkvalidation && getCategory.id > 0">
                                    Please Select Sub Category
                                </span> -->
                            </div>

                        </div>
                    </div>

                    <hr />
                    <ng-container *ngIf="showMetaDataStyleList==true">

                        <div class="col-md-6 form-group noPadding_mobile">
                            <select class="form-control" [(ngModel)]="getStyle.id" name="style"
                                (change)="onSubCategoryChange()">
                                <option value="0">Select Style</option>
                                <option *ngFor="let option of metadata_Style_list" value={{option.id}}>
                                    {{option.metadata_type_dtl.metadata_type_name}}
                                </option>
                            </select>
                        </div>
                        <!-- <div class="row">
                            <div class="col-md-12">
                                <div class="delivery-time">
                                    <div id="myDIV">
                                        <ng-container *ngFor="let item of serviceDelivery_timeList.service">
                                            <button type="button"  class="btn btn-default btn-block" 
                                                [(ngModel)]="item.service_delivery_value"
                                                [attr.name]="'delivery-time_'+item.id"
                                                (click)="getServiceDeliveryTime(item)" 
                                                style="border-radius: 0px; height: 34px; border: 1px solid #ced4da;margin-top: 0;border-right: none;">
                                                <div class="custom_option" style="line-height: 1.9;">
                                                    <label class="radio">{{item.service_delivery_name}} 
                                                        <input type="radio" name="OPD_team_service" value="{{item.service_delivery_name}}">
                                                        <span class="checkround"></span>
                                                    </label>
                                                    </div>
                                            </button>

                                           
                                        </ng-container>
                                        <input id="msg" type="text" class="form-control" name="msg"
                                            style="height: auto;border-radius: 0px;border-top-right-radius: 3px;border-bottom-right-radius: 3px;" placeholder="Other Days" maxlength="2"
                                            [(ngModel)]="service_delivery_other" autocomplete="off" maxlength="2"
                                            (keypress)="onlyNumbers($event)">
                                        
                                    </div>
                                </div>
                            </div>
                        </div> -->

                        <hr />
                    </ng-container>

                    <div class="row">
                        <div class="col-md-12 form-group">
                            <h5>Once you place your order, when would you like your service delivered? <span class="star_mark">*</span></h5>
                            <div class="row">
                                <div class="col-md-12 noPadding_mobile">
                                    <div class="delivery-time">
                                        <div id="myDIV">
                                            <ng-container *ngFor="let item of serviceDelivery_timeList.service">
                                                <!-- <button type="button" style="margin-top: 0px;" class="{{item.class}}"
                                                    [(ngModel)]="item.service_delivery_value"
                                                    [attr.name]="'delivery-time_'+item.id"
                                                    (click)="getServiceDeliveryTime(item)">
                                                    {{item.service_delivery_name}}
                                                </button> [(ngModel)]="item.is_selected"  -->

                                                <button type="button" class="btn btn-default btn-block"
                                                    [(ngModel)]="item.service_delivery_value"
                                                    [attr.name]="'delivery-time_'+item.id"
                                                    (click)="getServiceDeliveryTime(item)"
                                                    style="border-radius: 0px; height: 34px; border: 1px solid #ced4da;margin-top: 0;border-right: none;white-space: nowrap;">
                                                    <div class="custom_option" style="line-height: 1.9;">



                                                        <label class="radio">{{item.service_delivery_name}}
                                                            <input type="radio" name="OPD_team_service" [id]="'item_'+item.id" 
                                                                [(ngModel)]="item.selected_value"                                                               
                                                                [value]="item.id" (change)="getServiceDeliveryTime(item)">
                                                            <span class="checkround"></span>
                                                        </label>

                                                        <!-- <div style="white-space: nowrap; border: 1px solid #ced4da; padding: 5px 10px 0px;height: 35px;">
                                                            <input class="styled-checkbox" [id]="'item_'+item.id" type="checkbox" [value]="'item_'+item.id">
                                                            <label [for]="'item_'+item.id">{{item.service_delivery_name}}</label>
                                                        </div> -->



                                                    </div>
                                                </button>
                                            </ng-container>
                                            <form>
                                                <input id="msg" type="text" class="form-control" name="msg" maxlength="2"
                                                style="height: auto;border-radius: 0px;border-top-right-radius: 3px;border-bottom-right-radius: 3px;width: 95px;height: 35px;"
                                                placeholder="Other Days" [(ngModel)]="service_delivery_other"
                                                autocomplete="off" (keypress)="onlyNumbers($event)" (keyup)="deSelectRadio($event)">
                                            </form>
                                        </div>
                                    </div>
                                    <span class="error_msg"
                                        *ngIf="checkvalidation && chk_DeliveryTime==true">
                                        Please select/enter delivery time.
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr />

                    <div class="row">
                        <div class="col-md-12 form-group">
                            <h5>What is your budget for this service? <span class="star_mark">*</span></h5>
                            <div class="row">
                                <div class="col-md-4 noPadding_mobile">
                                    <form>
                                        <div class="input-group budget_div">
                                            <div class="input-group-btn">
                                                <button class="btn btn-primary budget_btn" type="submit"><i
                                                        class="fa fa-rupee" style="color: #484848;"></i></button>
                                            </div>
                                            <input type="text" class="form-control" placeholder="Enter Budget" maxlength="5"
                                                name="search" style="height: auto;" [(ngModel)]="serviceBudget"
                                                #txt_serviceBudget="ngModel" required (keypress)="onlyNumbers($event)"
                                                autocomplete="off">
                                        </div>
                                    </form>
                                    
                                    <span class="error_msg"
                                        *ngIf="checkvalidation && txt_serviceBudget.errors?.required">
                                        Please Enter Price
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-12 text-left">
                            <a class="btn btn-primary submit_request_btn" (click)="onSubmitRequestBtn()"
                                style="color: white;cursor: pointer;">Submit Request</a>
                        </div>
                    </div>
                    
                </div>
    
    
            </div>
        </div>
        
    </div>
</section>
<div class="modal fade" id="delete_gallery_Image" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content" style="border-radius: 0px;">
        <div class="modal-header">
          <h4 class="modal-title modal_title_text">Delete Image</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <h5>Do you really want to remove this Image?</h5>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group text-right" style="margin-top: 25px;">
                <button type="button" class="yes_btn" (click)="removegalleryImage()">Yes</button>
                <!-- <a href="#" class="yes_btn" >Yes</a> -->
                <button type="button" data-dismiss="modal" class="no_btn">No</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>